<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel2', array(
    'title' => 'Header',
    'panel' => 'luzuk_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'luzuk_section', array(
    'title' => 'Section Test',
    'panel' => 'luzuk_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'luzuk_header_section' , array(
        'title'    => __( 'All Settings', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel2'
    ) );

$wp_customize->add_setting('dinero_reset_allsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_allsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'dinero'),
  'description' => 'dinero_allsetting_reset_settings',
  'section' => 'luzuk_header_section'
)));


    $wp_customize->add_setting('luzuk_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_allsetting_nav', array(
       'section' => 'luzuk_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'dinero_show_sticky_header',
                'dinero_header_style',
                'dinero_header_width',
                'dinero_header_fb',
                'dinero_header_fb',
                'dinero_header_tw',
                'dinero_header_in',
                'dinero_header_youtube',
                'dinero_header_instagram',
                'dinero_header_whatsapp',
                'dinero_header_pinterest',
                'dinero_header_contlabel',
                // 'luzuk_headermain_phone_label',
                'luzuk_headermain_phone',
                // 'luzuk_headermain_email_label',
                'luzuk_headermain_email'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(             
                'header_bottombgColor',
                'header_topbgColor1',
                'header_topbgColor2',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',                
                'headereemail_color',
                'headerphone_color',
                'headereemailhove_color',
                'headerephoneicon_color',
                'headereemailicon_color',
                'header_socialColor',
                'header_socialhoverColor',
            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'dinero_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'dinero_switch_sanitization'
   ) );
   $wp_customize->add_control( new Dinero_Toggle_Switch_Custom_Control( $wp_customize, 'dinero_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','dinero' ),
        'section' => 'luzuk_header_section'
   )));


    $wp_customize->add_setting('dinero_header_style',array(
        'default' => 'Above Slider',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','dinero'),
        'choices' => array (
            'Above Slider' => __('Above Slider','dinero'),
            'On Slider' => __('On Slider','dinero')
        ),
        'section' => 'luzuk_header_section',
    ));

     $wp_customize->add_setting('dinero_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','dinero'),
        'choices' => array (
            'Box Width' => __('Box Width','dinero'),
            'Full Width' => __('Full Width','dinero')
        ),
        'section' => 'luzuk_header_section',
    ));

 $wp_customize->add_setting('luzuk_headermain_email',array(       
        'sanitize_callback' => 'sanitize_email',
        'default' => __('info@youremail.com','luzuk-premium')
    ));
    $wp_customize->add_control('luzuk_headermain_email',array(
        'settings'      => 'luzuk_headermain_email',
        'type' => 'text',
        'label' => __('Add Email Address','luzuk-premium'),
        'section' => 'luzuk_header_section',
    ));

$wp_customize->add_setting('luzuk_headermain_phone',array(
        'sanitize_callback' => 'dinero_sanitize_phone_number',
        'default' => __('9878642354','luzuk-premium')
    ));
    $wp_customize->add_control('luzuk_headermain_phone',array(
        'settings'      => 'luzuk_headermain_phone',
        'type' => 'text',
        'label' => __('Add Phone Number','luzuk-premium'),
        'section' => 'luzuk_header_section',
    ));


// FACEBOOK 
$wp_customize->add_setting('dinero_header_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_fb',
    array(
        'settings'      => 'dinero_header_fb',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('dinero_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_tw',
    array(
        'settings'      => 'dinero_header_tw',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('dinero_header_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_instagram',
    array(
        'settings'      => 'dinero_header_instagram',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('dinero_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_in',
    array(
        'settings'      => 'dinero_header_in',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('dinero_header_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_pinterest',
    array(
        'settings'      => 'dinero_header_pinterest',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('dinero_header_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_youtube',
    array(
        'settings'      => 'dinero_header_youtube',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'luzuk-premium' )
    )
);



// Whatsapp IN
$wp_customize->add_setting('dinero_header_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_header_whatsapp',
    array(
        'settings'      => 'dinero_header_whatsapp',
        'section'       => 'luzuk_header_section',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'luzuk-premium' )
    )
);

    


addColorPalatOption($wp_customize, 'header_topbgColor1', 'luzuk_header_section', 'Top Background color', '');
addColorPalatOption($wp_customize, 'header_topbgColor2', 'luzuk_header_section', 'Top Background color', '');

addColorPalatOption($wp_customize, 'header_bottombgColor', 'luzuk_header_section', 'Bottom Background color', '');

 addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'luzuk_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'luzuk_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'headereemailicon_color', 'luzuk_header_section', 'Email Icon Color', '');
addColorPalatOption($wp_customize, 'headereemail_color', 'luzuk_header_section', 'Email Color', '');
addColorPalatOption($wp_customize, 'headerephoneicon_color', 'luzuk_header_section', 'Phone Icon Color', '');
addColorPalatOption($wp_customize, 'headerphone_color', 'luzuk_header_section', 'Phone text Color', '');
addColorPalatOption($wp_customize, 'headereemailhove_color', 'luzuk_header_section', 'Email & Phone Hover Color', '');
addColorPalatOption($wp_customize, 'header_socialColor', 'luzuk_header_section', 'Socials Icons Color', '');
addColorPalatOption($wp_customize, 'header_socialhoverColor', 'luzuk_header_section', 'Socials Icons Hover Color','');